Skip to main content
POST
/
v6
/
dimensions
/
values
Save dimension values
curl --request POST \
  --url https://sandbox.tight.com/v6/dimensions/values \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "data": [
    {
      "name": "1611 Connecticut Ave",
      "dimensionId": "tcll_439512",
      "id": "cls_936415",
      "status": "ACTIVE",
      "parentId": "cls_936413"
    }
  ]
}
'
{
  "data": [
    {
      "data": {
        "id": "cls_936415",
        "dimension": {
          "id": "tcll_439512",
          "rootId": "tcll_439512",
          "name": "Job Site",
          "requiredness": "NOT_REQUIRED"
        },
        "name": "1234 Massachusetts Ave",
        "children": "<array>",
        "label": {
          "id": "tcll_439512",
          "rootId": "tcll_439512",
          "name": "Job Site",
          "requiredness": "NOT_REQUIRED"
        }
      },
      "error": [
        {
          "message": "<string>",
          "param": "<string>"
        }
      ]
    }
  ],
  "error": [
    {
      "message": "<string>",
      "param": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, see Authentication for more detail.

Body

application/json
data
object[]
required

Response

Success

result
enum<string>

The result of the action performed.

Available options:
SUCCESS,
FAILURE
data
object[]

The data generated by the action performed.

error
object[]